| LicenseSpring Management .Net SDK 1.16.1 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.ProductFeature Class Reference

Class that holds information about product feature. More...

Inheritance diagram for LicenseSpring.ProductFeature:

## Public Member Functions
| ProductFeature ()
| Default constructor.
| ProductFeature (string code)
| Create a new product feature with default values.

## Properties
bool | AllowNegativeConsumptions`[get, set]`
| Are negative consumptions allowed.
bool | AllowOverages`[get, set]`
| Indicates whether overage is allowed for Consumption feature.
bool | AllowUnlimitedConsumptions`[get, set]`
| Are unlimited consumptions allowed.
string | Code`[get, set]`
| Code of the feature.
ConsumptionPeriod | ConsumptionPeriod`[get, set]`
| Period of time after which consumption is reset.
DateTime | CreatedAt`[get, set]`
| Creation time.
DateTime | ExpiryDate`[get, set]`
| Feature expiry date.
string | FeatureType`[get, set]`
| Type of the feature ("activation" or "consumption").
int | FloatingTimeout`[get, set]`
| Timeout, in minutes, after which the application must perform a license check to keep the floating feature registered.
int | FLoatingUsers`[get, set]`
| Maximum number of simultaneous floating feature users.
uint | Id`[get, set]`
| Internal ID of the product feature.
bool | IsDeleted`[get, set]`
| Is feature deleted or not.
bool | IsFLoatingCloud`[get, set]`
| Is this a floating cloud feature.
bool | IsOfflineFloating`[get, set]`
| Is this an offline floating feature.
int | MaxConsumption`[get, set]`
| Number of max consumptions.
int | MaxOverages`[get, set]`
| Maximum overage allowed for the feature.
string | Metadata`[get, set]`
| Product feature metadata.
string | Name`[get, set]`
| Name of the feature.
bool | ResetConsumption`[get, set]`
| Indicates whether consumption resets after a certain period of time.
DateTime | UpdatedAt`[get, set]`
| Time of last update.
ValidityDurationUnit | ValidityDurationUnit`[get, set]`
| Unit in which the validity duration is defined in.
int | ValidityDurationValue`[get, set]`
| Validity duration value, number of units feature is valid.
Properties inherited from LicenseSpring.IProductFeature

## Detailed Description

Class that holds information about product feature.

## Constructor & Destructor Documentation

## ◆ ProductFeature()

LicenseSpring.ProductFeature.ProductFeature | ( | string | code | ) |

Create a new product feature with default values.

Parameters

  code | Product feature code.

## Property Documentation

## ◆ AllowNegativeConsumptions

bool LicenseSpring.ProductFeature.AllowNegativeConsumptions
| get set

Are negative consumptions allowed.

Implements LicenseSpring.IProductFeature.

## ◆ AllowOverages

bool LicenseSpring.ProductFeature.AllowOverages
| get set

Indicates whether overage is allowed for Consumption feature.

Implements LicenseSpring.IProductFeature.

## ◆ AllowUnlimitedConsumptions

bool LicenseSpring.ProductFeature.AllowUnlimitedConsumptions
| get set

Are unlimited consumptions allowed.

Implements LicenseSpring.IProductFeature.

## ◆ Code

string LicenseSpring.ProductFeature.Code
| get set

Code of the feature.

Implements LicenseSpring.IProductFeature.

## ◆ ConsumptionPeriod

ConsumptionPeriod LicenseSpring.ProductFeature.ConsumptionPeriod
| get set

Period of time after which consumption is reset.

Implements LicenseSpring.IProductFeature.

## ◆ CreatedAt

DateTime LicenseSpring.ProductFeature.CreatedAt
| get set

Creation time.

Implements LicenseSpring.IProductFeature.

## ◆ ExpiryDate

DateTime LicenseSpring.ProductFeature.ExpiryDate
| get set

Feature expiry date.

Implements LicenseSpring.IProductFeature.

## ◆ FeatureType

string LicenseSpring.ProductFeature.FeatureType
| get set

Type of the feature ("activation" or "consumption").

Implements LicenseSpring.IProductFeature.

## ◆ FloatingTimeout

int LicenseSpring.ProductFeature.FloatingTimeout
| get set

Timeout, in minutes, after which the application must perform a license check to keep the floating feature registered.

Implements LicenseSpring.IProductFeature.

## ◆ FLoatingUsers

int LicenseSpring.ProductFeature.FLoatingUsers
| get set

Maximum number of simultaneous floating feature users.

Implements LicenseSpring.IProductFeature.

## ◆ Id

uint LicenseSpring.ProductFeature.Id
| get set

Internal ID of the product feature.

Implements LicenseSpring.IProductFeature.

## ◆ IsDeleted

bool LicenseSpring.ProductFeature.IsDeleted
| get set

Is feature deleted or not.

Implements LicenseSpring.IProductFeature.

## ◆ IsFLoatingCloud

bool LicenseSpring.ProductFeature.IsFLoatingCloud
| get set

Is this a floating cloud feature.

Implements LicenseSpring.IProductFeature.

## ◆ IsOfflineFloating

bool LicenseSpring.ProductFeature.IsOfflineFloating
| get set

Is this an offline floating feature.

Implements LicenseSpring.IProductFeature.

## ◆ MaxConsumption

int LicenseSpring.ProductFeature.MaxConsumption
| get set

Number of max consumptions.

Implements LicenseSpring.IProductFeature.

## ◆ MaxOverages

int LicenseSpring.ProductFeature.MaxOverages
| get set

Maximum overage allowed for the feature.

Implements LicenseSpring.IProductFeature.

## ◆ Metadata

string LicenseSpring.ProductFeature.Metadata
| get set

Product feature metadata.

Implements LicenseSpring.IProductFeature.

## ◆ Name

string LicenseSpring.ProductFeature.Name
| get set

Name of the feature.

Implements LicenseSpring.IProductFeature.

## ◆ ResetConsumption

bool LicenseSpring.ProductFeature.ResetConsumption
| get set

Indicates whether consumption resets after a certain period of time.

Implements LicenseSpring.IProductFeature.

## ◆ UpdatedAt

DateTime LicenseSpring.ProductFeature.UpdatedAt
| get set

Time of last update.

Implements LicenseSpring.IProductFeature.

## ◆ ValidityDurationUnit

ValidityDurationUnit LicenseSpring.ProductFeature.ValidityDurationUnit
| get set

Unit in which the validity duration is defined in.

Implements LicenseSpring.IProductFeature.

## ◆ ValidityDurationValue

int LicenseSpring.ProductFeature.ValidityDurationValue
| get set

Validity duration value, number of units feature is valid.

Implements LicenseSpring.IProductFeature.

The documentation for this class was generated from the following file:

- ProductFeature.cs